Express

POST

Recover an unsupported Ethereum token from a BitGo multisig wallet

Path Params

  • coin string required
    A cryptocurrency or token ticker symbol.
  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

Body Params

object

  • tokenContractAddress string
    Contract address of the unsupported token
  • recipient string
    Destination address recovered tokens should be sent to
  • walletPassphrase string
    Wallet passphrase
  • prv string
    User private key
  • broadcast boolean
    Whether to send to BitGo for cosigning and broadcast the transaction. If false, a half-siged transaction will be returned.

Responses

200
OK

Response Body

object

  • halfSigned object
    halfSigned object
    • contractSequenceId integer
    • expireTime integer
    • gasLimit integer
    • gasPrice integer
    • operationHash string
    • recipient object
      recipient object
      • address string
      • amount string
    • signature string
    • tokenContractAddress string
    • walletId string

      matches ^[0-9a-f]{32}$

400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code